org.gradle.api.artifacts

## Interface ProjectDependency

- All Superinterfaces:
    Buildable, Dependency, ModuleDependency, SelfResolvingDependency

      public interface ProjectDependency
      extends ModuleDependency, SelfResolvingDependency

  A `ProjectDependency` is a `Dependency` on another project in the current project hierarchy.

- - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.artifacts.Dependency

      `ARCHIVES_CONFIGURATION, CLASSIFIER, DEFAULT_CONFIGURATION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProjectDependency` | `copy()` Creates and returns a new dependency with the property values of this one.
    `Project` | `getDependencyProject()` Returns the project associated with this project dependency.
    `Configuration` | `getProjectConfiguration()` Deprecated. A project dependency may select different configurations.

    - ### Methods inherited from interface org.gradle.api.artifacts.ModuleDependency

      `addArtifact, artifact, artifact, exclude, getArtifacts, getConfiguration, getExcludeRules, getTargetConfiguration, isTransitive, setTransitive`

    - ### Methods inherited from interface org.gradle.api.artifacts.SelfResolvingDependency

      `resolve, resolve`

    - ### Methods inherited from interface org.gradle.api.artifacts.Dependency

      `contentEquals, getGroup, getName, getVersion`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

- - ### Method Detail

    - #### getDependencyProject

          Project getDependencyProject()

      Returns the project associated with this project dependency.

    - #### getProjectConfiguration

          @Deprecated
          Configuration getProjectConfiguration()

      Deprecated. A project dependency may select different configurations.
      Returns the configuration associated with this project dependency. The configuration belongs to the project associated with this project dependency.
      See Also:
        `getDependencyProject()`

    - #### copy

          ProjectDependency copy()

      Creates and returns a new dependency with the property values of this one.
      Specified by:
        `copy` in interface `Dependency`
      Specified by:
        `copy` in interface `ModuleDependency`
      Returns:
        The copy. Never returns null.